
ACSA HK Bill Payment SDK - Enhancement #14188

[VST2 - Backoffice] Add Schedule/Recurrent Payment Status to Search Listing

22 August 2022 04:26 PM - wong yen chen

Status: Closed Start date: 22 August 2022

Priority: Normal Due date: 24 August 2022

Assignee: wong yen chen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Jira [PIIUC-235]

Background

Under Schedule / Recurrent module, there's no column to display the payment status of the Scheduled & Recurring. User will require

to click in to the respective transaction detail to look for the payment status.

Enhancement

To add an additional column under the search listing of Schedule / Recurrent module to enable the user to have a quick visibility on

the active/inactive payment.

Expected Result

1. Status column added to the search listing

2. Able to sort the listing accordingly

History

#1 - 23 August 2022 03:19 PM - Shafiqah Rahni

- Status changed from New to Resolved

- % Done changed from 0 to 100

BillPaymentAPI

Revision: 218652

----

Modified : /ACSA/BillPaymentAPI/trunk/src/main/java/com/silverlake/mobility/billing/dao/BillPaymentDAOImpl.java

Modified : /ACSA/BillPaymentAPI/trunk/src/main/java/com/silverlake/mobility/billing/service/dto/BillPaymentListBoDTO.java

BillPaymentBO

Revision: 218650

----

Modified : /ACSA/BillPaymentBO/trunk/webadmin/src/app/routes/payment/payment-list/payment-list.component.ts

Changes:

Add status to Schedule/Recurrent Payment Search & Listing

#2 - 23 August 2022 03:40 PM - Shafiqah Rahni

- Assignee changed from Shafiqah Rahni to wong yen chen
#3 - 23 August 2022 04:37 PM - wong yen chen

- File SEPdpOUFBs.png added

- Status changed from Resolved to Closed

Tested all good.

Files

SEPdpOUFBs.png 96.5 KB 23 August 2022 wong yen chen
